Name:           sugar-ruler
Version:        27
Release:        1%{?dist}
Summary:        Simple collection of measurement tools

Group:          Sugar/Activities
License:        GPLv3+
URL:            http://wiki.sugarlabs.org/go/Activities/Ruler
Source0:        http://download.sugarlabs.org/sources/honey/Ruler/Ruler-%{version}.tar.bz2

BuildRequires:  python-devel sugar-toolkit-gtk3 gettext
BuildArch:      noarch
Requires:       sugar >= 0.97.6

%description
Ruler is a simple collection of measurement tools that are displayed 
on the screen. Since the OLPC XO computer has a 200 DPI display, the 
rulers are quite accurate. One other hardware, where the display 
resolution is not known, their is a spinner to let the user set the DPI. 
Ruler saves this value to the Journal, so it need not be set on 
subsequent uses of the Activity.

%prep
%setup -q -n Ruler-%{version}


%build
%{__python} ./setup.py build

%install
%{__python} ./setup.py install --prefix=%{buildroot}/%{_prefix}

%find_lang com.laptop.Ruler


%files -f com.laptop.Ruler.lang
%defattr(-,root,root,-)
%doc COPYING NEWS
%{sugaractivitydir}/Ruler.activity/


%changelog
* Sun Jan 13 2013 Kalpa Welivitigoda <callkalpa@gmail.com> - 27-1
- new upstream 27 release

* Tue Jan 08 2013 Kalpa Welivitigoda <callkalpa@gmail.com> - 25-1
- new upstream 25 release

* Sat Dec 29 2012 Kalpa Welivitigoda <callkalpa@gmail.com> - 24-1
- new upstream 24 release

* Fri Nov 02 2012 Kalpa Welivitigoda <callkalpa@gmail.com> - 23-2
- changed to require: sugar >= 0.97.6

* Tue Oct 30 2012 Kalpa Welivitigoda <callkalpa@gmail.com> - 23-1
- new upstream 23 release

* Sat Oct 27 2012 Kalpa Welivitigoda <callkalpa@gmail.com> - 21-1
- new upstream 21 release
- gtk3 port

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 01 2012 Kalpa Welivitigoda <callkalpa@gmail.com> - 19-1
- new upstream 19 release

* Tue Jan 16 2012 Kalpa Welivitigoda <callkalpa@gmail.com> - 17-1
- new upstream 17 release

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 30 2011 Kalpa Welivitigoda <callkalpa@gmail.com> - 14-1
- new upstream 14 release

* Mon Oct 10 2011 Kalpa Welivitigoda <callkalpa@gmail.com> - 13-1
- new upstream 13 release

* Tue Sep 13 2011 Kalpa Welivitigoda <callkalpa@gmail.com> - 12-2
- use of %{__python} in install

* Sun Sep 11 2011 Kalpa Welivitigoda <callkalpa@gmail.com> - 12-1
- removed unsupported languages

* Thu Sep 7 2011 Kalpa Welivitigoda <callkalpa@gmail.com> - 11-6
- changed summary and description

* Thu Sep 1 2011 Kalpa Welivitigoda <callkalpa@gmail.com> - 11-5
- fixed too long error and fullstop warning in summary
- fixed license error

* Fri Aug 26 2011 Kalpa Welivitigoda <callkalpa@gmail.com> - 11-4
- use of %{__python}

* Fri Aug 26 2011 Kalpa Welivitigoda <callkalpa@gmail.com> - 11-3
- word splitting in description fixed

* Fri Aug 26 2011 Kalpa Welivitigoda <callkalpa@gmail.com> - 11-2
- removed BuildRoot
- removed "rm -rf $RPM_BUILD_ROOT"
- removed %clean
- description wrapped at 80 chars
- swapped $RPM_BUILD_ROOT with %{buildroot}

* Fri Aug 26 2011 Kalpa Welivitigoda <callkalpa@gmail.com> - 11-1
- initial packaging
